#
# spec file for package kcmdhcpd (Version 0.2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp klibs ksupp libgpp libjpeg libpng libtiff libungif libz qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kcmdhcpd
Copyright:    GPL
Group:        X11/KDE/Network
Autoreqprov: on
Summary:      Module for configuring the ISC DHCP-Server
Version:      0.2.0
Release:      408
Source0:      kcmdhcpd-0.2.0.tar.bz2
Patch0: kcmdhcpd-0.2.0.dif

%description
A module for the K Control Center for configuring
the ISC DHCP-Server.

Authors:
--------
    Karl Backstrm <backstrom@kde.org>

SuSE series: kde

%prep
%setup -n kcmdhcpd
%patch -p 0 -E

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
%{?suse_update_config:%{suse_update_config -f . }}
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
touch ./src/doc/en/Makefile.in --reference=./aclocal.m4
touch ./src/doc/Makefile.in --reference=./aclocal.m4
touch ./src/Makefile.in --reference=./aclocal.m4
make

%install
make install

%files
%docdir /opt/kde/share/doc
%dir /opt/kde/share/doc
%dir /opt/kde/share/doc/HTML
%dir /opt/kde/share/doc/HTML/en
%dir /opt/kde/share/doc/HTML/en/kcontrol
%dir /opt/kde/share/doc/HTML/en/kcontrol/kcmdhcpd
/opt/kde/bin/kcmdhcpd
/opt/kde/share/applnk/Settings/Network/dhcp.kdelnk

%changelog -n kcmdhcpd
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Tue Aug 14 2001 - ro@suse.de
- bzipped source
- autoconf 2.52 fixes
* Thu May 25 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Thu May 25 2000 - adrian@suse.de
- Spec file created from kcmdhcpd-0.2.0.tgz by autospec
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Sun Nov 07 1999 - kukuk@suse.de
- Fix last patch for use of libungif
* Fri Nov 05 1999 - ro@suse.de
- use ungif for configure
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed May 19 1999 - kettner@suse.de
- Recreated spec file with new autospec
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
* Wed Mar 17 1999 - autospec
- Recreated spec file from kcmdhcpd-0.2.0.tgz using autospec script by kettner@suse.de
